package com.company.jmixtest.entity

import io.jmix.core.entity.annotation.JmixGeneratedValue
import io.jmix.core.metamodel.annotation.InstanceName
import io.jmix.core.metamodel.annotation.JmixEntity
import io.jmix.core.metamodel.annotation.JmixProperty
import java.math.BigDecimal

import javax.persistence.Column
import javax.persistence.Entity
import javax.persistence.Id
import javax.persistence.Table
import java.util.UUID

@JmixEntity
@Entity(name = "jt_TestEntity")
@Table(name = "JT_TESTE_NTITY")
open class TestEntity {
    @Id
    @Column(name = "ID", nullable = false)
    @JmixGeneratedValue
    var id: UUID? = null

    @InstanceName
    @Column(name = "USERNAME", nullable = false)
    var username: String? = null

    @JmixProperty
    @Column(name = "VALUE", nullable = false)
    var value: BigDecimal? = null
}
